Debian Bug report logs - #463002
ITP: doomsday -- Game engine for Doom and friends

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Hash C. Borger" <bungnugget@gmail.com>

Date: Mon, 28 Jan 2008 20:12:01 UTC

Owned by: Kees Meijs <post@keesmeijs.nl>

Severity: wishlist

Fixed in version deng/1.9.0-beta6.9+dfsg1-1

Done: Jon Dowland <jmtd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bungnugget@gmail.com, debian-devel@lists.debian.org, <wnpp@debian.org>, "hash c. borger" <bungnugget@gmail.com>:
Bug#463002; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Hash C. Borger" <bungnugget@gmail.com>:
New Bug report received and forwarded. Copy sent to bungnugget@gmail.com, debian-devel@lists.debian.org, <wnpp@debian.org>, "hash c. borger" <bungnugget@gmail.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Hash C. Borger" <bungnugget@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: doomsday -- GPL licensed engine for classic doom, heretic, hexen and strife which provides updated 3d graphics and network gameplay
Date: Mon, 28 Jan 2008 15:09:33 -0500
Package: wnpp
Severity: wishlist
Owner: "Hash C. Borger" <bungnugget@gmail.com>


* Package name    : doomsday
  Version         : 1.9.0-beta5.2
  Upstream Author : Jaakko Keränen <skyjake@doomsdayhq.com>
* URL             : http://www.example.org/
* License         : GPL
  Programming Lang: C++
  Description     : GPL licensed engine for classic doom, heretic, hexen and strife which provides updated 3d graphics and network gameplay


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Changed Bug title to `ITP: doomsday -- Game engine for Doom and friends' from `ITP: doomsday -- GPL licensed engine for classic doom, heretic, hexen and strife which provides updated 3d graphics and network gameplay'. Request was from Sebastian Pipping <webmaster@hartwork.org> to control@bugs.debian.org. (Mon, 28 Jan 2008 20:54:05 GMT) Full text and rfc822 format available.

Information stored:
Bug#463002; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <lists@alcopop.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #12 received at 463002-quiet@bugs.debian.org (full text, mbox):

From: Jon Dowland <lists@alcopop.org>
To: debian-devel@lists.debian.org
Cc: debian-devel-games@lists.debian.org, "Hash C. Borger" <bungnugget@gmail.com>
Subject: Re: Bug#463002: ITP: doomsday -- GPL licensed engine for classic doom, heretic, hexen and strife which provides updated 3d graphics and network gameplay
Date: Tue, 29 Jan 2008 09:34:43 +0000
[Message part 1 (text/plain, inline)]
Hello,

On Mon, Jan 28, 2008 at 03:09:33PM -0500, Hash C. Borger wrote:
> * Package name    : doomsday
>   Version         : 1.9.0-beta5.2
>   Upstream Author : Jaakko Keränen <skyjake@doomsdayhq.com>
> * URL             : http://www.example.org/

<http://www.doomsdayhq.com/>?

Jamie Jones was working on doomsday packages, see
<http://bugs.debian.org/319419> for an old ITP (which was
opened originally by a third person entirely). He's also
part of the upstream team (I believe), although the URLs
for the packages seem to all be broken. It would be worth
trying to contact him and see if he's still got those on
the go.

We maintain a handful of doom packages in the debian games
team - see <http://wiki.debian.org/Games> for information
on the team. I wrote some packaging guidelines for
doom-related packages that I would ask you stuck to: the
current development version of these is at
<http://svn.debian.org/wsvn/pkg-games/packages/doom-packaging/?rev=0&sc=0>.

If there's something in the doom packaging guidelines you
disagree with, please let us know :-) They're designed to
make sure all the doom packages play together nicely.

> * License         : GPL
>   Programming Lang: C++
>   Description     : GPL licensed engine for classic doom, heretic, hexen and strife which provides updated 3d graphics and network gameplay

I'd suggest dropping heretic and hexen from the description
since the source for those bits is not distributable. I
think the strife implementation is from-scratch, however
the unavailability of free game data would mean that would
have to go into contrib.

How are you planning on dicing up the binaries?
 

-- 
Jon Dowland
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "hash c. borger" <bungnugget@gmail.com>:
Bug#463002; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "hash c. borger" <bungnugget@gmail.com>. Full text and rfc822 format available.

Message #17 received at 463002@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: "Hash C. Borger" <bungnugget@gmail.com>, 463002@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#463002: ITP: doomsday -- GPL licensed engine for classic doom, heretic, hexen and strife which provides updated 3d graphics and network gameplay
Date: Thu, 31 Jan 2008 06:39:02 +0100
[Message part 1 (text/plain, inline)]
Quoting Hash C. Borger (bungnugget@gmail.com):
> Package: wnpp
> Severity: wishlist
> Owner: "Hash C. Borger" <bungnugget@gmail.com>
> 
> 
> * Package name    : doomsday
>   Version         : 1.9.0-beta5.2
>   Upstream Author : Jaakko Keränen <skyjake@doomsdayhq.com>
> * URL             : http://www.example.org/
> * License         : GPL
>   Programming Lang: C++
>   Description     : GPL licensed engine for classic doom, heretic, hexen and strife which provides updated 3d graphics and network gameplay


Too long.

You should remove the reference to the license from the synopsis.
 

"engine for....." would be more appropriate. See Developers Reference
6.2.2 (and 6.2.3) about packages descriptions.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "hash c. borger" <bungnugget@gmail.com>:
Bug#463002; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to debian-devel-games@lists.debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "hash c. borger" <bungnugget@gmail.com>. Full text and rfc822 format available.

Message #22 received at 463002@bugs.debian.org (full text, mbox):

From: Jon Dowland <jon+debian-devel-games@alcopop.org>
To: 463002@bugs.debian.org
Cc: 463002-submitter@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: chase-up the doomsday ITP
Date: Sat, 28 Jun 2008 17:28:24 +0100
Hello,


Have you made any progress on this? Are you still
interested in working on a doomsday package?


-- 
Jon Dowland




Message sent on to "Hash C. Borger" <bungnugget@gmail.com>:
Bug#463002. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "hash c. borger" <bungnugget@gmail.com>:
Bug#463002; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Hash C. Borger" <bungnugget@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "hash c. borger" <bungnugget@gmail.com>. Full text and rfc822 format available.

Message #30 received at 463002@bugs.debian.org (full text, mbox):

From: "Hash C. Borger" <bungnugget@gmail.com>
To: debian-devel-games@lists.debian.org, 463002@bugs.debian.org, 463002-submitter@bugs.debian.org
Subject: Re: Bug#463002: chase-up the doomsday ITP
Date: Wed, 16 Jul 2008 17:47:18 -0400
[Message part 1 (text/plain, inline)]
Oh hi.  Sorry I've not even checked this email in a long time.  I've been
very busy with life otherwise.  I am still interested.  I am unfortunately
unable to commit time to the project.  However, I will let you know when I
am available.



On Sat, Jun 28, 2008 at 12:28 PM, Jon Dowland <
jon+debian-devel-games@alcopop.org <jon%2Bdebian-devel-games@alcopop.org>>
wrote:

> Hello,
>
>
> Have you made any progress on this? Are you still
> interested in working on a doomsday package?
>
>
> --
> Jon Dowland
>
>
>
[Message part 2 (text/html, inline)]

Message sent on to "Hash C. Borger" <bungnugget@gmail.com>:
Bug#463002. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "hash c. borger" <bungnugget@gmail.com>:
Bug#463002; Package wnpp. (Mon, 24 May 2010 19:12:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "hash c. borger" <bungnugget@gmail.com>. (Mon, 24 May 2010 19:12:39 GMT) Full text and rfc822 format available.

Message #38 received at 463002@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 463002@bugs.debian.org
Cc: control@bugs.debian.org
Subject: doomsday: changing back from ITP to RFP
Date: Mon, 24 May 2010 19:06:08 +0000
retitle 463002 RFP: doomsday -- Game engine for Doom and friends
noowner 463002
thanks

Hi,

This is an automatic email to change the status of doomsday back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 18 months.

If you are still interested in adopting doomsday, please send a mail to
<control@bugs.debian.org> with:

 retitle 463002 ITP: doomsday -- Game engine for Doom and friends
 owner 463002 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <463002@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team




Changed Bug title to 'RFP: doomsday -- Game engine for Doom and friends' from 'ITP: doomsday -- Game engine for Doom and friends' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:24:13 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "hash c. borger" <bungnugget@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:24:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#463002; Package wnpp. (Tue, 23 Nov 2010 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Meijs <post@keesmeijs.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 23 Nov 2010 11:03:04 GMT) Full text and rfc822 format available.

Message #47 received at 463002@bugs.debian.org (full text, mbox):

From: Kees Meijs <post@keesmeijs.nl>
To: 463002@bugs.debian.org
Subject: Doomsday Engine
Date: Tue, 23 Nov 2010 11:54:00 +0100
Hello,

I'm packaging Doomsday Engine outside of Debian (and Ubuntu), but intent 
to adapt the package in order to follow al (at least most) Debian Policy 
Guidelines.

The current package:

> $ apt-cache show deng
> Package: deng
> Version: 1.9.0-beta6.9-maverick-kees3
> Architecture: amd64
> Maintainer: Kees Meijs <post@keesmeijs.nl>
> Installed-Size: 5836
> Depends: libc6 (>= 2.7), libcurl3 (>= 7.16.2-1), libgl1-mesa-glx | libgl1, libglu1-mesa | libglu1, libice6 (>= 1:1.0.0), libncurses5 (>= 5.7+20100313), libpng12-0 (>= 1.2.13-4), libsdl-mixer1.2 (>= 1.2.6), libsdl-net1.2, libsdl1.2debian (>= 1.2.10-1), libsm6, libx11-6, libxext6, zlib1g (>= 1:1.1.4)
> Recommends: doom-wad | boom-wad, timidity
> Suggests: game-data-packager
> Provides: doom-engine
> Homepage: http://www.dengine.net/
> Priority: extra
> Section: universe/games
> Filename: pool/main/d/deng/deng_1.9.0-beta6.9-maverick-kees3_amd64.deb
> Size: 3245570
> SHA256: e45d6dc8657323273b063f6043fa9ae71a858bdd37aba3222edb9d8a53dd9215
> SHA1: 31ca00be2c31e3ef94340c3d2a4df8adc2fa690c
> MD5sum: 1a6d2471c9acf208334c1cbffe9b47d1
> Description: An enhanced DOOM source port
>  The purpose of the Doomsday Engine project is to create versions of DOOM,
>  Heretic and Hexen that feel the same as the original games but are implemented
>  using modern techniques such as 3D graphics and client/server networking. A
>  lot of emphasis is placed on good-looking graphics.
>  .
>  Doomsday Engine (or deng for short) requires an IWAD to play. You can install
>  your commercial IWADs using game-data-packager.

More on this soon!

Regards,
Kees




Changed Bug title to 'ITP: Doomsday Engine' from 'RFP: doomsday -- Game engine for Doom and friends' Request was from Kees Meijs <post@keesmeijs.nl> to control@bugs.debian.org. (Tue, 23 Nov 2010 11:27:08 GMT) Full text and rfc822 format available.

Owner recorded as Kees Meijs <post@keesmeijs.nl>. Request was from Kees Meijs <post@keesmeijs.nl> to control@bugs.debian.org. (Tue, 23 Nov 2010 11:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#463002; Package wnpp. (Tue, 23 Nov 2010 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Meijs <post@keesmeijs.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 23 Nov 2010 12:03:03 GMT) Full text and rfc822 format available.

Message #56 received at 463002@bugs.debian.org (full text, mbox):

From: Kees Meijs <post@keesmeijs.nl>
To: 463002@bugs.debian.org
Subject: Reference to bug #319419
Date: Tue, 23 Nov 2010 12:59:38 +0100
Hello,

For reference: see archived bug #319419 on this ITP as well. Meanwhile, 
the licensing has changed (all GPL now) so I'm continuing packaging.

Regards,
Kees




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#463002; Package wnpp. (Tue, 30 Nov 2010 21:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Meijs <post@keesmeijs.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 30 Nov 2010 21:12:06 GMT) Full text and rfc822 format available.

Message #61 received at 463002@bugs.debian.org (full text, mbox):

From: Kees Meijs <post@keesmeijs.nl>
To: 463002@bugs.debian.org
Subject: Re-created Debian package
Date: Tue, 30 Nov 2010 22:08:49 +0100
Hi all,

As per request of Joost van Baal, I re-created the Debian package using 
tools available in Debian Squeeze (not Etch anymore...).

I'll be looking for a sponsor now!

Regards,
Kees




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#463002; Package wnpp. (Tue, 30 Nov 2010 21:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Meijs <post@keesmeijs.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 30 Nov 2010 21:27:06 GMT) Full text and rfc822 format available.

Message #66 received at 463002@bugs.debian.org (full text, mbox):

From: Kees Meijs <post@keesmeijs.nl>
To: 463002@bugs.debian.org, debian-mentors@lists.debian.org
Subject: RFS: Doomsday Engine (or deng for short)
Date: Tue, 30 Nov 2010 22:24:37 +0100
Good afternoon,

I'm looking for a sponsor for my Doomsday Engine package for Debian. See 
bug #463002 for the ITP.

> $ cat control
> Source: deng
> Section: games
> Priority: optional
> Maintainer: Kees Meijs <post@keesmeijs.nl>
> Build-Depends: debhelper (>= 7.0.50~), docbook-xsl, docbook-xml, xsltproc, cmake, graphviz, doxygen, libncurses5-dev, libcurl3-openssl-dev, libx11-dev, libgl1-mesa-dev, libglu1-mesa-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, libsdl-net1.2-dev, libpng-dev, python
> Standards-Version: 3.8.4
> Homepage: http://www.dengine.net/
>
> Package: deng
> Architecture: any
> Depends: ${shlibs:Depends}
> Recommends: doom-wad | boom-wad, timidity
> Suggests: game-data-packager
> Provides: doom-engine
> Description: An enhanced DOOM source port
>  The purpose of the Doomsday Engine project is to create versions of DOOM,
>  Heretic and Hexen that feel the same as the original games but are implemented
>  using modern techniques such as 3D graphics and client/server networking. A
>  lot of emphasis is placed on good-looking graphics.
>  .
>  Doomsday Engine (or deng for short) requires an IWAD to play. You can install
>  your commercial IWADs using game-data-packager.

If you'd like to test the package, please contact me at 
post@keesmeijs.nl and I'll supply you with the packages as soon as possible.

Thanks in advance!

Best regards,
Kees




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#463002; Package wnpp. (Wed, 01 Dec 2010 08:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Meijs <post@keesmeijs.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 01 Dec 2010 08:06:06 GMT) Full text and rfc822 format available.

Message #71 received at 463002@bugs.debian.org (full text, mbox):

From: Kees Meijs <post@keesmeijs.nl>
To: 463002@bugs.debian.org
Subject: Re: RFS: Doomsday Engine (or deng for short)
Date: Wed, 01 Dec 2010 08:57:12 +0100
Good morning,

David Kalnischkies suggested publishing the source package so it's easy 
to access for reviewers. I'll improve the package first (there were 
other comments as well) and report back with a download location soon.

Best regards,
Kees




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#463002; Package wnpp. (Thu, 02 Dec 2010 14:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Meijs <post@keesmeijs.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 02 Dec 2010 14:51:05 GMT) Full text and rfc822 format available.

Message #76 received at 463002@bugs.debian.org (full text, mbox):

From: Kees Meijs <post@keesmeijs.nl>
To: 463002@bugs.debian.org
Subject: Package available for review
Date: Thu, 02 Dec 2010 15:47:27 +0100
Good afternoon,

I've updated and improved the package as promised.

The package is available for review and downloadable from:
http://files.keesmeijs.nl/squeeze/deng_1.9.0-beta6.9-1.diff.gz
http://files.keesmeijs.nl/squeeze/deng_1.9.0-beta6.9-1.dsc
http://files.keesmeijs.nl/squeeze/deng_1.9.0-beta6.9-1_i386.changes
http://files.keesmeijs.nl/squeeze/deng_1.9.0-beta6.9-1_i386.deb
http://files.keesmeijs.nl/squeeze/deng_1.9.0-beta6.9.orig.tar.gz

As suggested by David Kalnischkies I'll contact the games team on this 
bug as well.

Best regards,
Kees




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kees Meijs <post@keesmeijs.nl>:
Bug#463002; Package wnpp. (Mon, 06 Dec 2010 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dave Gardner <eunbolt@yahoo.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kees Meijs <post@keesmeijs.nl>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Mon, 06 Dec 2010 11:15:03 GMT) Full text and rfc822 format available.


Message #81 received at 463002@bugs.debian.org (full text, mbox):

From: Dave Gardner <eunbolt@yahoo.com>
To: 463002@bugs.debian.org
Date: Mon, 6 Dec 2010 03:12:15 -0800 (PST)
I'm an upstream member of the doomsday engine team, and we will be pre-releasing 
a patch to disable the networking to improve the Debian package as it is not 
currently working








Changed Bug title to 'ITP: doomsday -- Game engine for Doom and friends' from 'ITP: Doomsday Engine' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Thu, 20 Jan 2011 16:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#463002; Package wnpp. (Mon, 31 Jan 2011 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Meijs <post@keesmeijs.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 31 Jan 2011 10:45:03 GMT) Full text and rfc822 format available.

Message #88 received at 463002@bugs.debian.org (full text, mbox):

From: Kees Meijs <post@keesmeijs.nl>
To: 463002@bugs.debian.org
Subject: Progress
Date: Mon, 31 Jan 2011 11:33:26 +0100
Good morning,

Jon Dowland helped a lot with screening the package for flaws. It seems 
we're making good progress! If the current version passes all tests 
(e.g. licensing as well) we're very close to releasing Doomsday Engine 
for Debian!

Best regards,
Kees




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#463002; Package wnpp. (Mon, 31 Jan 2011 14:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Meijs <post@keesmeijs.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 31 Jan 2011 14:30:08 GMT) Full text and rfc822 format available.

Message #93 received at 463002@bugs.debian.org (full text, mbox):

From: Kees Meijs <post@keesmeijs.nl>
To: Jon Dowland <jmtd@debian.org>
Cc: Dave Gardner <eunbolt@gmail.com>, 463002@bugs.debian.org
Subject: Doomsday Engine
Date: Mon, 31 Jan 2011 15:27:20 +0100
Good afternoon Jon (and Dave),

As promised I checked in the current sources in Subversion and applied 
your suggested patches. I tested just removing stuff from the external 
directory using just:

> rm -rf zlib/ libpng/ libcurl/

It seems the sources still build fine so we're good!

What's next?

Best regards,
Kees

P.S. It seems dpkg-build keeps including .svn directories? Any pointers 
on how to exclude them?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kees Meijs <post@keesmeijs.nl>:
Bug#463002; Package wnpp. (Tue, 01 Feb 2011 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kees Meijs <post@keesmeijs.nl>. (Tue, 01 Feb 2011 22:51:03 GMT) Full text and rfc822 format available.

Message #98 received at 463002@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: Kees Meijs <post@keesmeijs.nl>
Cc: Dave Gardner <eunbolt@gmail.com>, 463002@bugs.debian.org
Subject: Re: Doomsday Engine
Date: Tue, 1 Feb 2011 22:46:14 +0000
On Mon, Jan 31, 2011 at 03:27:20PM +0100, Kees Meijs wrote:
> Good afternoon Jon (and Dave),
>
> As promised I checked in the current sources in Subversion and applied  
> your suggested patches. I tested just removing stuff from the external  
> directory using just:
>
>> rm -rf zlib/ libpng/ libcurl/

Cool. Do you do that in debian/rules?  I'd suggest removing them from
the orig.tar.gz and then repacking it, perhaps with a +dfsg1 version on
the upstream version number. e.g.

1.9.0-beta6.9+dfsg1-1
^^^^^^^^^^^^^^^^^^^ ^
 upstream version    \___ debian package version
             ^^^^^^
               repacked upstream suffix

And add an explanation in debian/README.source as to what +dfsg1 means:
in this case, removing  bundled copies of zlib/ libpng/ libcurl/

(why +dfsg?  It is highly desirable to have the upstream tarball be 'pristine',
that is, identical to that distributed by upstream.  Sometimes this is not
possible, and the tarball needs to be repacked, so that the source tarball in
the debian repos differs.  Most often this is due to non-free stuff in the
source tarball, in terms of the Debian Free Software Guidelines, so +dfsgN is
used as a suffix. N, so that if any more tweaking is needed in future, you can
increment N.)

> It seems the sources still build fine so we're good!

Excellent.

> What's next?

Point me at the latest version and I'll upload it.

> P.S. It seems dpkg-build keeps including .svn directories? Any pointers  
> on how to exclude them?

Use debuild, or dpkg-buildpackage, and pass -I.git -i.git.  Or take a look at
svn-buildpackage.

I've been planning to mail you to suggest we use svn.debian.org and the
pkg-games repository: There is some detail about how the packaging works at
<http://wiki.debian.org/Games/VCS> and <http://wiki.debian.org/Games/VCS/svn>.
Unfortunately I haven't written that mail yet :(


-- 
Jon Dowland




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#463002; Package wnpp. (Sun, 06 Feb 2011 14:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Meijs <post@keesmeijs.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 06 Feb 2011 14:33:13 GMT) Full text and rfc822 format available.

Message #103 received at 463002@bugs.debian.org (full text, mbox):

From: Kees Meijs <post@keesmeijs.nl>
To: Jon Dowland <jmtd@debian.org>, Dave Gardner <eunbolt@gmail.com>
Cc: 463002@bugs.debian.org
Subject: Re: Doomsday Engine
Date: Sun, 06 Feb 2011 15:32:22 +0100
Good afternoon guys,

As Jon suggested, I released 1.9.0-beta6.9+dfsg1-1 with cleaned up 
sources. The package has been built using pbuilder (squeeze/i386) with 
the --twice option.

You can find (GnuPG signed) sources here:

-http://files.keesmeijs.nl/squeeze/deng_1.9.0-beta6.9+dfsg1-1.diff.gz
-http://files.keesmeijs.nl/squeeze/deng_1.9.0-beta6.9+dfsg1-1.dsc
-http://files.keesmeijs.nl/squeeze/deng_1.9.0-beta6.9+dfsg1.orig.tar.gz

Best regards,
Kees




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 09 Mar 2011 07:06:05 GMT) Full text and rfc822 format available.

Reply sent to Jon Dowland <jmtd@debian.org>:
You have taken responsibility. (Tue, 12 Apr 2011 22:06:03 GMT) Full text and rfc822 format available.

Notification sent to "Hash C. Borger" <bungnugget@gmail.com>:
Bug acknowledged by developer. (Tue, 12 Apr 2011 22:06:03 GMT) Full text and rfc822 format available.

Message #110 received at 463002-close@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: 463002-close@bugs.debian.org
Subject: Bug#463002: fixed in deng 1.9.0-beta6.9+dfsg1-1
Date: Tue, 12 Apr 2011 22:03:08 +0000
Source: deng
Source-Version: 1.9.0-beta6.9+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
deng, which is due to be installed in the Debian FTP archive:

deng_1.9.0-beta6.9+dfsg1-1.diff.gz
  to main/d/deng/deng_1.9.0-beta6.9+dfsg1-1.diff.gz
deng_1.9.0-beta6.9+dfsg1-1.dsc
  to main/d/deng/deng_1.9.0-beta6.9+dfsg1-1.dsc
deng_1.9.0-beta6.9+dfsg1.orig.tar.gz
  to main/d/deng/deng_1.9.0-beta6.9+dfsg1.orig.tar.gz
doomsday_1.9.0-beta6.9+dfsg1-1_i386.deb
  to main/d/deng/doomsday_1.9.0-beta6.9+dfsg1-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 463002@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jon Dowland <jmtd@debian.org> (supplier of updated deng package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 08 Mar 2011 22:05:24 +0000
Source: deng
Binary: doomsday
Architecture: source i386
Version: 1.9.0-beta6.9+dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Kees Meijs <post@keesmeijs.nl>
Changed-By: Jon Dowland <jmtd@debian.org>
Description: 
 doomsday   - An enhanced version of the legendary DOOM game
Closes: 463002
Changes: 
 deng (1.9.0-beta6.9+dfsg1-1) unstable; urgency=low
 .
   [ Kees Meijs ]
   * Initial release. Closes: #463002.
   * Patched dd_zone.c file as needed, mentioned on:
     http://dengine.net/dew/index.php?title=User_talk:Yagisan#svn_4165_dd_zone.c.
   * Fixed paths in CMakeLists.txt file in order to reflect Debian policies.
   * Cleaned up original sources (see README.source).
 .
   [ Jon Dowland ]
   * add dversionmangle to watch file, to remove dfsg suffix
Checksums-Sha1: 
 1c0363db272e2381566f50be356892bb0177afb1 1336 deng_1.9.0-beta6.9+dfsg1-1.dsc
 00e29d0359aaa264a4205ed12118c7ce4b0ce726 4108875 deng_1.9.0-beta6.9+dfsg1.orig.tar.gz
 f9386b07b454bf2caeabc59dd53603a8691d28a8 3136 deng_1.9.0-beta6.9+dfsg1-1.diff.gz
 802054d31b000d3320ca7be244d47ad7ad27b4fd 3058760 doomsday_1.9.0-beta6.9+dfsg1-1_i386.deb
Checksums-Sha256: 
 34a0bed84175b0782002d1ca334df0123c18816e4080d0ae35a2d9d0e3a80cd9 1336 deng_1.9.0-beta6.9+dfsg1-1.dsc
 39686792b01cac8dff74bc86453701201566ac08427bcdc4051b517552a7096d 4108875 deng_1.9.0-beta6.9+dfsg1.orig.tar.gz
 8ccf6615df542e0ffaddc720b88b9dde8353505307ece202a56b203906efd3e8 3136 deng_1.9.0-beta6.9+dfsg1-1.diff.gz
 132be5a9009ac4c380b51dbe767c0c1ceac2ddccc484b6894ab5375884fad033 3058760 doomsday_1.9.0-beta6.9+dfsg1-1_i386.deb
Files: 
 3783fb4475c2a88a0c3cb4fac22c8531 1336 games optional deng_1.9.0-beta6.9+dfsg1-1.dsc
 a0c0f8b6d44380ee253310183173b74b 4108875 games optional deng_1.9.0-beta6.9+dfsg1.orig.tar.gz
 95b661995be7fdb14674b674244c867e 3136 games optional deng_1.9.0-beta6.9+dfsg1-1.diff.gz
 dd8be28ba2a588b144327100b9f5ff61 3058760 games optional doomsday_1.9.0-beta6.9+dfsg1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk12qLgACgkQFotOcXAy8jinOQCfcFOCxQnEnhQWJ4HhWYcUZP7m
yHkAoI1C9WDtybJaZKdm5rLrEz3fmouA
=gRGx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 May 2011 07:31:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:23:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.